const bodyParser = require("body-parser");
const express = require("express");
const path = require("path");
const cookieparser = require("cookie-parser");
const app = express();
const url = require('url');
portnumber = 5817;

app.use(bodyParser.urlencoded({ extended: false }));
app.use(express.json());
app.use(cookieparser());
app.set("view engine", "ejs");

app.use(express.static(path.join(__dirname, "public")));
// .ejs-files, meaning html templates, are in "views" folder
app.listen(portnumber, () => {
  console.log(`set a cookie get a cookie server`);
  console.log(`server started on port ${portnumber}`);
});


app.get(["/", "/index.html"], (req, res) => {
  console.log("index.html requested");
  res.render("index", {cookies : req.cookies});
});

app.post("/add-cookie", function (req, res) {
  let name = req.body.cookie_name;
  let value = req.body.cookie_value;
  console.log("add-cookie requested");
  console.log(`\tkey: ${name}, value: ${value}`);
  res.cookie(name, value);
  return res.redirect("/");
});